com.trendmicro.ds.platform.rest.object.scheduledtask

## Class DiscoverComputersTaskParameters

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.DiscoverComputersTaskParameters

- All Implemented Interfaces:
    ITaskParameters

      public class DiscoverComputersTaskParameters
      extends java.lang.Object
      implements ITaskParameters

  Parameters for discovery task

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DiscoverComputersTaskParameters.SearchType` Discover computers within a range of addresses or by using an IP Address and Mask.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoverComputersTaskParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getHostGroupID()` Get the host group identifier that will be assigned to discovered computers.
    `java.lang.String` | `getIP()` Get the IP Address for a Masked IP search.
    `java.lang.String` | `getIPMask()` Get the Mask for a Masked IP search.
    `java.lang.String` | `getIPRangeHigh()` Get the high IP Address for a Range search.
    `java.lang.String` | `getIPRangeLow()` Get the low IP Address for a Range search.
    `DiscoverComputersTaskParameters.SearchType` | `getType()` Get the search type.
    `java.lang.Boolean` | `isResolveIPs()` Automatically resolve IP Addresses of discovered computers?
    `java.lang.Boolean` | `isScanDiscoveredComputers()` Automatically scan discovered computers for open ports?
    `void` | `setHostGroupID(java.lang.Integer hostGroupID)` Set the host group identifier that will be assigned to discovered computers
    `void` | `setIP(java.lang.String ip)` Set the IP Address for a Masked IP search.
    `void` | `setIPMask(java.lang.String ipMask)` Set the IP Mask for a Masked IP search.
    `void` | `setIPRangeHigh(java.lang.String ipRangeHigh)` Set the high IP Address for a Range search.
    `void` | `setIPRangeLow(java.lang.String ipRangeLow)` Set the low IP Address for a Range search.
    `void` | `setResolveIPs(java.lang.Boolean resolveIPs)` Set the flag to automatically resolve IP addresses.
    `void` | `setScanDiscoveredComputers(java.lang.Boolean scanDiscoveredComputers)` Set flag to automatically scan discovered computers for open ports.
    `void` | `setSearchType(DiscoverComputersTaskParameters.SearchType searchType)` Set the search type.
    `java.lang.String` | `toString()`
    `DiscoverComputersTaskParameters` | `withHostGroupID(java.lang.Integer hostGroupID)` Set the host group identifier that will be assigned to discovered computers.
    `DiscoverComputersTaskParameters` | `withIP(java.lang.String ip)` Set the IP Address for a Masked IP search.
    `DiscoverComputersTaskParameters` | `withIPMask(java.lang.String ipMask)` Set the IP Mask for a Masked IP search.
    `DiscoverComputersTaskParameters` | `withIPRangeHigh(java.lang.String ipRangeHigh)` Set the high IP Address for a Range search.
    `DiscoverComputersTaskParameters` | `withIPRangeLow(java.lang.String ipRangeLow)` Set the low IP Address for a Range search.
    `DiscoverComputersTaskParameters` | `withResolveIPs(java.lang.Boolean resolveIPs)` Set the flag to automatically resolve IP addresses.
    `DiscoverComputersTaskParameters` | `withScanDiscoveredComputers(java.lang.Boolean scanDiscoveredComputers)` Set flag to automatically scan discovered computers for open ports.
    `DiscoverComputersTaskParameters` | `withSearchType(DiscoverComputersTaskParameters.SearchType searchType)` Set the search type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoverComputersTaskParameters

          public DiscoverComputersTaskParameters()

  - ### Method Detail

    - #### getType

          public DiscoverComputersTaskParameters.SearchType getType()

      Get the search type.
      Returns:
        the search type.

    - #### setSearchType

          public void setSearchType(DiscoverComputersTaskParameters.SearchType searchType)

      Set the search type.
      Parameters:
        `searchType` - the search type.

    - #### withSearchType

          public DiscoverComputersTaskParameters withSearchType(DiscoverComputersTaskParameters.SearchType searchType)

      Set the search type.
      Parameters:
        `searchType` - the search type.
      Returns:
        the updated DiscoverComputersTaskParameters object.

    - #### getIP

          public java.lang.String getIP()

      Get the IP Address for a Masked IP search.

      Note that only IPv4 addresses are supported at this time.

      Returns:
        the IP Address.

    - #### setIP

          public void setIP(java.lang.String ip)

      Set the IP Address for a Masked IP search.

      Note that only IPv4 addresses are supported at this time.

      Parameters:
        `ip` - the IP Address.

    - #### withIP

          public DiscoverComputersTaskParameters withIP(java.lang.String ip)

      Set the IP Address for a Masked IP search.

      Note that only IPv4 addresses are supported at this time.

      Parameters:
        `ip` - the IP Address.
      Returns:
        the updated DiscoverComputersTaskParameters object.

    - #### getIPMask

          public java.lang.String getIPMask()

      Get the Mask for a Masked IP search.

      Note that only IPv4 addresses are supported at this time.

      Returns:
        the IP Mask.

    - #### setIPMask

          public void setIPMask(java.lang.String ipMask)

      Set the IP Mask for a Masked IP search.

      Note that only IPv4 addresses are supported at this time.

      Parameters:
        `ipMask` - the IP Mask.

    - #### withIPMask

          public DiscoverComputersTaskParameters withIPMask(java.lang.String ipMask)

      Set the IP Mask for a Masked IP search.

      Note that only IPv4 addresses are supported at this time.

      Parameters:
        `ipMask` - the IP Mask.
      Returns:
        the updated DiscoverComputersTaskParameters object.

    - #### getIPRangeLow

          public java.lang.String getIPRangeLow()

      Get the low IP Address for a Range search.

      Note that only IPv4 addresses are supported at this time.

      Returns:
        the first IP Address.

    - #### setIPRangeLow

          public void setIPRangeLow(java.lang.String ipRangeLow)

      Set the low IP Address for a Range search.

      Note that only IPv4 addresses are supported at this time.

      Parameters:
        `ipRangeLow` - the low IP Address.

    - #### withIPRangeLow

          public DiscoverComputersTaskParameters withIPRangeLow(java.lang.String ipRangeLow)

      Set the low IP Address for a Range search.

      Note that only IPv4 addresses are supported at this time.

      Parameters:
        `ipRangeLow` - the low IP Address.
      Returns:
        the updated DiscoverComputersTaskParameters object.

    - #### getIPRangeHigh

          public java.lang.String getIPRangeHigh()

      Get the high IP Address for a Range search.

      Note that only IPv4 addresses are supported at this time.

      Returns:
        the high IP Address.

    - #### setIPRangeHigh

          public void setIPRangeHigh(java.lang.String ipRangeHigh)

      Set the high IP Address for a Range search.

      Note that only IPv4 addresses are supported at this time.

      Parameters:
        `ipRangeHigh` - the high IP Address.

    - #### withIPRangeHigh

          public DiscoverComputersTaskParameters withIPRangeHigh(java.lang.String ipRangeHigh)

      Set the high IP Address for a Range search.

      Note that only IPv4 addresses are supported at this time.

      Parameters:
        `ipRangeHigh` - the high IP Address.
      Returns:
        the updated DiscoverComputersTaskParameters object.

    - #### isScanDiscoveredComputers

          public java.lang.Boolean isScanDiscoveredComputers()

      Automatically scan discovered computers for open ports?
      Returns:
        `true` if automatic port scanning is enabled.

    - #### setScanDiscoveredComputers

          public void setScanDiscoveredComputers(java.lang.Boolean scanDiscoveredComputers)

      Set flag to automatically scan discovered computers for open ports.
      Parameters:
        `scanDiscoveredComputers` - the flag to enable/disable the scan.

    - #### withScanDiscoveredComputers

          public DiscoverComputersTaskParameters withScanDiscoveredComputers(java.lang.Boolean scanDiscoveredComputers)

      Set flag to automatically scan discovered computers for open ports.
      Parameters:
        `scanDiscoveredComputers` - the flag to enable/disable the scan.
      Returns:
        the updated DiscoverComputersTaskParameters object.

    - #### isResolveIPs

          public java.lang.Boolean isResolveIPs()

      Automatically resolve IP Addresses of discovered computers?

      If set true then the IP address will be used to obtain an InetAddress, and from that the host name will be obtained. If set false then the IP address will be used as the host name.

      Returns:
        `true` if automatically resolving IP Addresses is enabled.

    - #### setResolveIPs

          public void setResolveIPs(java.lang.Boolean resolveIPs)

      Set the flag to automatically resolve IP addresses.

      If set true then the IP address will be used to obtain an InetAddress, and from that the host name will be obtained. If set false then the IP address will be used as the host name.

      Parameters:
        `resolveIPs` - the flag to automatically resolve IP addresses.

    - #### withResolveIPs

          public DiscoverComputersTaskParameters withResolveIPs(java.lang.Boolean resolveIPs)

      Set the flag to automatically resolve IP addresses.

      If set true then the IP address will be used to obtain an InetAddress, and from that the host name will be obtained. If set false then the IP address will be used as the host name.

      Parameters:
        `resolveIPs` - the flag to automatically resolve IP addresses.
      Returns:
        the updated DiscoverComputersTaskParameters object.

    - #### getHostGroupID

          public java.lang.Integer getHostGroupID()

      Get the host group identifier that will be assigned to discovered computers.
      Returns:
        the host group identifier.

    - #### setHostGroupID

          public void setHostGroupID(java.lang.Integer hostGroupID)

      Set the host group identifier that will be assigned to discovered computers
      Parameters:
        `hostGroupID` - the host group identifier.

    - #### withHostGroupID

          public DiscoverComputersTaskParameters withHostGroupID(java.lang.Integer hostGroupID)

      Set the host group identifier that will be assigned to discovered computers.
      Parameters:
        `hostGroupID` - the host group identifier.
      Returns:
        the updated DiscoverComputersTaskParameters object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.